import request from '@/utils/request'

// 获取平台分账配置详细信息
export function revenueSharingConfigInfo(query) {
    return request({
        url: `/base/revenueSharingConfig/info`,
        method: 'get',
        params: query
    })
}

// 新增平台分账配置
export function revenueSharingConfigAdd(data) {
    return request({
        url: `/base/revenueSharingConfig/add`,
        method: 'post',
        data
    })
}

// 新增平台信息管理
export function platformInfoAdd(data) {
    return request({
        url: `/base/platformInfo/add`,
        method: 'post',
        data
    })
}

// 获取平台信息管理详细信息
export function platformInfoInfo(query) {
    return request({
        url: `/base/platformInfo/info`,
        method: 'get',
        params: query
    })
}

// 营业执照识别
export function ocrBusinessLic(query) {
    return request({
        url: `/jzq/ocr/businessLic`,
        method: 'get',
        params: query
    })
}

// 身份证识别
export function ocrIdcard(query) {
    return request({
        url: `/jzq/ocr/idcard`,
        method: 'get',
        params: query
    })
}
